<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Interface org.apache.nutch.parse.Parse (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.nutch.parse.Parse (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/parse/class-use/Parse.html" target="_top">Frames</a></li>
<li><a href="Parse.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.apache.nutch.parse.Parse" class="title">Uses of Interface<br>org.apache.nutch.parse.Parse</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.analysis.lang">org.apache.nutch.analysis.lang</a></td>
<td class="colLast">
<div class="block">Text document language identifier.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.any23">org.apache.nutch.any23</a></td>
<td class="colLast">
<div class="block">This packages uses the <a href="https://any23.apache.org/">Apache Any23</a> library
 for parsing and extracting structured data in RDF format from a
 variety of Web documents.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.crawl">org.apache.nutch.crawl</a></td>
<td class="colLast">
<div class="block">Crawl control code and tools to run the crawler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer">org.apache.nutch.indexer</a></td>
<td class="colLast">
<div class="block">Index content, configure and run indexing and cleaning jobs to 
add, update, and delete documents from an index.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.anchor">org.apache.nutch.indexer.anchor</a></td>
<td class="colLast">
<div class="block">An indexing plugin for inbound anchor text.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.basic">org.apache.nutch.indexer.basic</a></td>
<td class="colLast">
<div class="block">A basic indexing plugin, adds basic fields: url, host, title, content, etc.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.feed">org.apache.nutch.indexer.feed</a></td>
<td class="colLast">
<div class="block">Indexing filter to index meta data from RSS feeds.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.filter">org.apache.nutch.indexer.filter</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.geoip">org.apache.nutch.indexer.geoip</a></td>
<td class="colLast">
<div class="block">This plugin implements an indexing filter which takes 
 advantage of the 
 <a href="https://github.com/maxmind/GeoIP2-java">GeoIP2-java API</a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.jexl">org.apache.nutch.indexer.jexl</a></td>
<td class="colLast">
<div class="block">This plugin implements a dynamic indexing filter which uses JEXL 
 expressions to allow filtering based on the page's metadata</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.links">org.apache.nutch.indexer.links</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.metadata">org.apache.nutch.indexer.metadata</a></td>
<td class="colLast">
<div class="block">Indexing filter to add document metadata to the index.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.more">org.apache.nutch.indexer.more</a></td>
<td class="colLast">
<div class="block">A more indexing plugin, adds "more" index fields:
last modified date, MIME type, content length.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.replace">org.apache.nutch.indexer.replace</a></td>
<td class="colLast">
<div class="block">Indexing filter to allow pattern replacements on metadata.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.staticfield">org.apache.nutch.indexer.staticfield</a></td>
<td class="colLast">
<div class="block">A simple plugin called at indexing that adds fields with static data.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.subcollection">org.apache.nutch.indexer.subcollection</a></td>
<td class="colLast">
<div class="block">Indexing filter to assign documents to subcollections.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.tld">org.apache.nutch.indexer.tld</a></td>
<td class="colLast">
<div class="block">Top Level Domain Indexing plugin.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.urlmeta">org.apache.nutch.indexer.urlmeta</a></td>
<td class="colLast">
<div class="block">
      URL Meta Tag Indexing Plugin</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.microformats.reltag">org.apache.nutch.microformats.reltag</a></td>
<td class="colLast">
<div class="block">
A microformats <a href="http://www.microformats.org/wiki/Rel-Tag">Rel-Tag</a>
Parser/Indexer/Querier plugin.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.parse">org.apache.nutch.parse</a></td>
<td class="colLast">
<div class="block">The <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse"><code>Parse</code></a> interface and related classes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring">org.apache.nutch.scoring</a></td>
<td class="colLast">
<div class="block">The <a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring"><code>ScoringFilter</code></a> interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.depth">org.apache.nutch.scoring.depth</a></td>
<td class="colLast">
<div class="block">Scoring filter to stop crawling at a configurable depth
 (number of "hops" from seed URLs).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.link">org.apache.nutch.scoring.link</a></td>
<td class="colLast">
<div class="block">Scoring filter used in conjunction with
 <a href="../../../../../org/apache/nutch/scoring/webgraph/WebGraph.html" title="class in org.apache.nutch.scoring.webgraph"><code>WebGraph</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.opic">org.apache.nutch.scoring.opic</a></td>
<td class="colLast">
<div class="block">Scoring filter implementing a variant of the Online Page Importance Computation
 (OPIC) algorithm.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.similarity">org.apache.nutch.scoring.similarity</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.similarity.cosine">org.apache.nutch.scoring.similarity.cosine</a></td>
<td class="colLast">
<div class="block">Implements the cosine similarity metric for scoring relevant documents</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.tld">org.apache.nutch.scoring.tld</a></td>
<td class="colLast">
<div class="block">Top Level Domain Scoring plugin.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.urlmeta">org.apache.nutch.scoring.urlmeta</a></td>
<td class="colLast">
<div class="block">
      URL Meta Tag Scoring Plugin</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.creativecommons.nutch">org.creativecommons.nutch</a></td>
<td class="colLast">
<div class="block">Sample plugins that parse and index Creative Commons medadata.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.analysis.lang">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/analysis/lang/package-summary.html">org.apache.nutch.analysis.lang</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/analysis/lang/package-summary.html">org.apache.nutch.analysis.lang</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">LanguageIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/analysis/lang/LanguageIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.any23">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/any23/package-summary.html">org.apache.nutch.any23</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/any23/package-summary.html">org.apache.nutch.any23</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">Any23IndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/any23/Any23IndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.crawl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">TextMD5Signature.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/crawl/TextMD5Signature.html#calculate-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">calculate</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
         <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">TextProfileSignature.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/crawl/TextProfileSignature.html#calculate-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">calculate</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
         <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">Signature.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/crawl/Signature.html#calculate-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">calculate</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
         <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">MD5Signature.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/crawl/MD5Signature.html#calculate-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">calculate</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
         <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/package-summary.html">org.apache.nutch.indexer</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/package-summary.html">org.apache.nutch.indexer</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">IndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/IndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>
<div class="block">Adds fields or otherwise modifies the document that will be indexed for a
 parse.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">IndexingFilters.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/IndexingFilters.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>
<div class="block">Run all defined filters.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.anchor">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/anchor/package-summary.html">org.apache.nutch.indexer.anchor</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/anchor/package-summary.html">org.apache.nutch.indexer.anchor</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">AnchorIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/anchor/AnchorIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>
<div class="block">The <a href="../../../../../org/apache/nutch/indexer/anchor/AnchorIndexingFilter.html" title="class in org.apache.nutch.indexer.anchor"><code>AnchorIndexingFilter</code></a> filter object which supports boolean
 configuration settings for the deduplication of anchors.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.basic">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/basic/package-summary.html">org.apache.nutch.indexer.basic</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/basic/package-summary.html">org.apache.nutch.indexer.basic</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/basic/BasicIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>
<div class="block">The <a href="../../../../../org/apache/nutch/indexer/basic/BasicIndexingFilter.html" title="class in org.apache.nutch.indexer.basic"><code>BasicIndexingFilter</code></a> filter object which supports few
 configuration settings for adding basic searchable fields.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.feed">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/feed/package-summary.html">org.apache.nutch.indexer.feed</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/feed/package-summary.html">org.apache.nutch.indexer.feed</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">FeedIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/feed/FeedIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>
<div class="block">Extracts out the relevant fields:
 
 
 FEED_AUTHOR
 FEED_TAGS
 FEED_PUBLISHED
 FEED_UPDATED
 FEED
 
 
 And sends them to the <a href="../../../../../org/apache/nutch/indexer/package-summary.html"><code>Indexer</code></a> for indexing within the Nutch index.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.filter">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/filter/package-summary.html">org.apache.nutch.indexer.filter</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/filter/package-summary.html">org.apache.nutch.indexer.filter</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">MimeTypeIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/filter/MimeTypeIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.geoip">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/geoip/package-summary.html">org.apache.nutch.indexer.geoip</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/geoip/package-summary.html">org.apache.nutch.indexer.geoip</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">GeoIPIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.jexl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/jexl/package-summary.html">org.apache.nutch.indexer.jexl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/jexl/package-summary.html">org.apache.nutch.indexer.jexl</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">JexlIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/jexl/JexlIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.links">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/links/package-summary.html">org.apache.nutch.indexer.links</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/links/package-summary.html">org.apache.nutch.indexer.links</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">LinksIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/links/LinksIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.metadata">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/metadata/package-summary.html">org.apache.nutch.indexer.metadata</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/metadata/package-summary.html">org.apache.nutch.indexer.metadata</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">MetadataIndexer.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/metadata/MetadataIndexer.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.more">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/more/package-summary.html">org.apache.nutch.indexer.more</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/more/package-summary.html">org.apache.nutch.indexer.more</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">MoreIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/more/MoreIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.replace">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/replace/package-summary.html">org.apache.nutch.indexer.replace</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/replace/package-summary.html">org.apache.nutch.indexer.replace</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">ReplaceIndexer.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/replace/ReplaceIndexer.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>
<div class="block">Adds fields or otherwise modifies the document that will be indexed for a
 parse.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.staticfield">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/staticfield/package-summary.html">org.apache.nutch.indexer.staticfield</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/staticfield/package-summary.html">org.apache.nutch.indexer.staticfield</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">StaticFieldIndexer.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/staticfield/StaticFieldIndexer.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>
<div class="block">The <a href="../../../../../org/apache/nutch/indexer/staticfield/StaticFieldIndexer.html" title="class in org.apache.nutch.indexer.staticfield"><code>StaticFieldIndexer</code></a> filter object which adds fields as per
 configuration setting.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.subcollection">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/subcollection/package-summary.html">org.apache.nutch.indexer.subcollection</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/subcollection/package-summary.html">org.apache.nutch.indexer.subcollection</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">SubcollectionIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/subcollection/SubcollectionIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.tld">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/tld/package-summary.html">org.apache.nutch.indexer.tld</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/tld/package-summary.html">org.apache.nutch.indexer.tld</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">TLDIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/tld/TLDIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;urlText,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.urlmeta">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/indexer/urlmeta/package-summary.html">org.apache.nutch.indexer.urlmeta</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/indexer/urlmeta/package-summary.html">org.apache.nutch.indexer.urlmeta</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">URLMetaIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/urlmeta/URLMetaIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>
<div class="block">This will take the metatags that you have listed in your "urlmeta.tags"
 property, and looks for them inside the CrawlDatum object.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.microformats.reltag">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/microformats/reltag/package-summary.html">org.apache.nutch.microformats.reltag</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/microformats/reltag/package-summary.html">org.apache.nutch.microformats.reltag</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">RelTagIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/microformats/reltag/RelTagIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/parse/package-summary.html">org.apache.nutch.parse</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/nutch/parse/package-summary.html">org.apache.nutch.parse</a> that implement <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseImpl.html" title="class in org.apache.nutch.parse">ParseImpl</a></span></code>
<div class="block">The result of parsing a page's raw content.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/package-summary.html">org.apache.nutch.parse</a> that return <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></code></td>
<td class="colLast"><span class="typeNameLabel">ParseResult.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseResult.html#get-java.lang.String-">get</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Retrieve a single parse output.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></code></td>
<td class="colLast"><span class="typeNameLabel">ParseResult.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseResult.html#get-org.apache.hadoop.io.Text-">get</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;key)</code>
<div class="block">Retrieve a single parse output.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></code></td>
<td class="colLast"><span class="typeNameLabel">ParseStatus.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseStatus.html#getEmptyParse-org.apache.hadoop.conf.Configuration-">getEmptyParse</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>
<div class="block">A convenience method.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/package-summary.html">org.apache.nutch.parse</a> that return types with arguments of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/RecordWriter.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">RecordWriter</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ParseOutputFormat.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseOutputFormat.html#getRecordWriter-org.apache.hadoop.mapreduce.TaskAttemptContext-">getRecordWriter</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/TaskAttemptContext.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">TaskAttemptContext</a>&nbsp;context)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.Entry.html?is-external=true" title="class or interface in java.util">Map.Entry</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ParseResult.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseResult.html#iterator--">iterator</a></span>()</code>
<div class="block">Iterate over all entries in the &lt;url, Parse&gt; map.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/parse/package-summary.html">org.apache.nutch.parse</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">ParseResult.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseResult.html#createParseResult-java.lang.String-org.apache.nutch.parse.Parse-">createParseResult</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
                 <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>
<div class="block">Convenience method for obtaining <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse"><code>ParseResult</code></a> from a single
 <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse"><code>Parse</code></a> output.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../org/apache/nutch/parse/package-summary.html">org.apache.nutch.parse</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/ParseImpl.html#ParseImpl-org.apache.nutch.parse.Parse-">ParseImpl</a></span>(<a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><span class="typeNameLabel">ScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#indexerScore-org.apache.hadoop.io.Text-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.parse.Parse-org.apache.nutch.crawl.Inlinks-float-">indexerScore</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
            <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;dbDatum,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;fetchDatum,
            <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
            <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks,
            float&nbsp;initScore)</code>
<div class="block">This method calculates a indexed document score/boost.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><span class="typeNameLabel">ScoringFilters.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/ScoringFilters.html#indexerScore-org.apache.hadoop.io.Text-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.parse.Parse-org.apache.nutch.crawl.Inlinks-float-">indexerScore</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
            <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;dbDatum,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;fetchDatum,
            <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
            <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks,
            float&nbsp;initScore)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><span class="typeNameLabel">AbstractScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/AbstractScoringFilter.html#indexerScore-org.apache.hadoop.io.Text-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.parse.Parse-org.apache.nutch.crawl.Inlinks-float-">indexerScore</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
            <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;dbDatum,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;fetchDatum,
            <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
            <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks,
            float&nbsp;initScore)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">passScoreAfterParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                     <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                     <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>
<div class="block">Currently a part of score distribution is performed using only data coming
 from the parsing process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ScoringFilters.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/ScoringFilters.html#passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">passScoreAfterParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                     <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                     <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">AbstractScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/AbstractScoringFilter.html#passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">passScoreAfterParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                     <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                     <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.depth">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/scoring/depth/package-summary.html">org.apache.nutch.scoring.depth</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/scoring/depth/package-summary.html">org.apache.nutch.scoring.depth</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><span class="typeNameLabel">DepthScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/depth/DepthScoringFilter.html#indexerScore-org.apache.hadoop.io.Text-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.parse.Parse-org.apache.nutch.crawl.Inlinks-float-">indexerScore</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
            <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;dbDatum,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;fetchDatum,
            <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
            <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks,
            float&nbsp;initScore)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DepthScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/depth/DepthScoringFilter.html#passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">passScoreAfterParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                     <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                     <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.link">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/scoring/link/package-summary.html">org.apache.nutch.scoring.link</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/scoring/link/package-summary.html">org.apache.nutch.scoring.link</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><span class="typeNameLabel">LinkAnalysisScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/link/LinkAnalysisScoringFilter.html#indexerScore-org.apache.hadoop.io.Text-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.parse.Parse-org.apache.nutch.crawl.Inlinks-float-">indexerScore</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
            <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;dbDatum,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;fetchDatum,
            <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
            <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks,
            float&nbsp;initScore)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">LinkAnalysisScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/link/LinkAnalysisScoringFilter.html#passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">passScoreAfterParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                     <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                     <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.opic">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/scoring/opic/package-summary.html">org.apache.nutch.scoring.opic</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/scoring/opic/package-summary.html">org.apache.nutch.scoring.opic</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><span class="typeNameLabel">OPICScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/opic/OPICScoringFilter.html#indexerScore-org.apache.hadoop.io.Text-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.parse.Parse-org.apache.nutch.crawl.Inlinks-float-">indexerScore</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
            <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;dbDatum,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;fetchDatum,
            <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
            <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks,
            float&nbsp;initScore)</code>
<div class="block">Dampen the boost value by scorePower.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">OPICScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/opic/OPICScoringFilter.html#passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">passScoreAfterParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                     <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                     <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>
<div class="block">Copy the value from Content metadata under Fetcher.SCORE_KEY to parseData.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.similarity">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/scoring/similarity/package-summary.html">org.apache.nutch.scoring.similarity</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/scoring/similarity/package-summary.html">org.apache.nutch.scoring.similarity</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SimilarityScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/similarity/SimilarityScoringFilter.html#passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">passScoreAfterParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                     <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                     <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><span class="typeNameLabel">SimilarityModel.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/similarity/SimilarityModel.html#setURLScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">setURLScoreAfterParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                       <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                       <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.similarity.cosine">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/scoring/similarity/cosine/package-summary.html">org.apache.nutch.scoring.similarity.cosine</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/scoring/similarity/cosine/package-summary.html">org.apache.nutch.scoring.similarity.cosine</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><span class="typeNameLabel">CosineSimilarity.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/similarity/cosine/CosineSimilarity.html#setURLScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">setURLScoreAfterParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                       <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                       <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.tld">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/scoring/tld/package-summary.html">org.apache.nutch.scoring.tld</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/scoring/tld/package-summary.html">org.apache.nutch.scoring.tld</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><span class="typeNameLabel">TLDScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#indexerScore-org.apache.hadoop.io.Text-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.parse.Parse-org.apache.nutch.crawl.Inlinks-float-">indexerScore</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
            <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;dbDatum,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;fetchDatum,
            <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
            <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks,
            float&nbsp;initScore)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">TLDScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">passScoreAfterParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                     <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                     <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.urlmeta">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/apache/nutch/scoring/urlmeta/package-summary.html">org.apache.nutch.scoring.urlmeta</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/scoring/urlmeta/package-summary.html">org.apache.nutch.scoring.urlmeta</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><span class="typeNameLabel">URLMetaScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/urlmeta/URLMetaScoringFilter.html#indexerScore-org.apache.hadoop.io.Text-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.parse.Parse-org.apache.nutch.crawl.Inlinks-float-">indexerScore</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
            <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;dbDatum,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;fetchDatum,
            <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
            <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks,
            float&nbsp;initScore)</code>
<div class="block">Boilerplate</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">URLMetaScoringFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/urlmeta/URLMetaScoringFilter.html#passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">passScoreAfterParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                     <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                     <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>
<div class="block">Takes the metadata, which was lumped inside the content, and replicates it
 within your parse data.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.creativecommons.nutch">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a> in <a href="../../../../../org/creativecommons/nutch/package-summary.html">org.creativecommons.nutch</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/creativecommons/nutch/package-summary.html">org.creativecommons.nutch</a> with parameters of type <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><span class="typeNameLabel">CCIndexingFilter.</span><code><span class="memberNameLink"><a href="../../../../../org/creativecommons/nutch/CCIndexingFilter.html#filter-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.parse.Parse-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.Inlinks-">filter</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
      <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
      <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/parse/class-use/Parse.html" target="_top">Frames</a></li>
<li><a href="Parse.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
